<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from bigint_l_bigint.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="percentbigint_l_bigint" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>bigint_l_bigint</refname>
    <refpurpose>binary operator \ (left divide) for bigint</refpurpose>
  </refnamediv>


<refsection>
   <title>Parameters</title>
   <variablelist>
        <varlistentry>
            <term>x,y,q:</term>
            <listitem><para> bigint</para></listitem>
        </varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
bigint binary operator "left divide" reduce to Euclidian division
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[

y=bigint('98765432')
x=bigint('12345678')
q=x\y  //  bigint division
98765432/12345678
r=x-q*y
pmodulo(98765432,12345678) //  division with doubles
x=bigint('1234567890')
y=bigint('987654321123456789')
q=y\x
r=x-q*y
x== q*y+r
r<abs(x)

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="bigint">bigint</link></member>
   <member><link linkend="divide">divide</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Philippe Roux</member>
   </simplelist>
</refsection>
</refentry>
